package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUserAssist;
import com.sa.ibiz.demo.demo.service.dto.WFUserAssistSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUserAssist] 服务对象接口
 */
public interface WFUserAssistService extends IService<WFUserAssist>{

	boolean remove(WFUserAssist et);
		WFUserAssist get(WFUserAssist et);
	boolean create(WFUserAssist et);
	boolean update(WFUserAssist et);
	boolean checkKey(WFUserAssist et);
	boolean getDraft(WFUserAssist et);
    List<WFUserAssist> listDefault(WFUserAssistSearchFilter filter) ;
	Page<WFUserAssist> searchDefault(WFUserAssistSearchFilter filter);
	/**	 实体[WFUserAssist] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }